#include <stdio.h>


#include "ofScraperMain.h"
#include "iostream.h"

using namespace std;

#include "sstream.h"

//--------------------------------------------------
string ofToString(int value){
	stringstream sstr;
	sstr << value;
	return sstr.str();
}

int main(int argc, char* argv[]){
	
	printf("----- starting parsing ----- \n");
	
 	ofScraperWebConnection 			connection;
 	ofScraperParser					parser;
 	ofScraperXmlNode 				myNode;
 	std::vector<ofScraperXmlNode>  	nodes;
 	
 	connection.getWebPageAsString("http://digg.com/");
 	myNode = parser.parseHtml(connection.getString());
 	nodes = parser.getContentOfXpathExpression(myNode,"//div[@ class='main']//h3//a");
 
 	for (int i = 0; i < nodes.size(); i++){
 		if (nodes[i].getHasAttribute("href")){
 			if (nodes[i].getNumChildren() == 0) { // you are not an image link
	 			cout << nodes[i].getContent() << endl;
 			}
  		}
 	}
 	
 	
 	/*
 	ofScraperWebConnection 		connection2;
 	
 	// got and saved images... for example
 	for (int i = 0; i < nodes.size(); i++){
 		nodes[i].print();
 		printf("%s \n", nodes[i].getAttribute("src").c_str());
 		string pageToSaveTo = "test" + ofToString(i) + ".jpg";
 		connection2.getWebPageToFile(nodes[i].getAttribute("src").c_str(),pageToSaveTo);
 	}
 	*/
 	//myNode.print();
 	
 	
 	
 	printf("----- done parsing ----- \n");
}
   
  
